RESTinio

Static Public Attributes | List of all members
restinio::easy_parser::impl::consumer_tag Struct Reference

A special base class to be used with consumers. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::consumer_tag:

## Static Public Attributes
static constexpr entity_type_t | entity_type = entity_type_t::consumer

## Detailed Description

A special base class to be used with consumers.

Every consumer class should have the following content:

class some_consumer_type
{
public :
static constexpr entity_type_t entity_type = entity_type_t::consumer;
void consume( Target_Type & dest, Value && current_value );
...
};
restinio::easy_parser::impl::entity_type_t
entity_type_t
A marker for distinguish different kind of entities in parser.
Definition: easy_parser.hpp:901
restinio::easy_parser::impl::entity_type_t::consumer
@ consumer
Entity is a consumer of values. It requires a value on the input and doesn't produces anything.
restinio::easy_parser::impl::consumer_tag::entity_type
static constexpr entity_type_t entity_type
Definition: easy_parser.hpp:1344

where `Target_Type` and `Value` are consumer's specific types.

Since
  v.0.6.1

Definition at line 1342 of file easy_parser.hpp.

## Member Data Documentation

## ◆ entity_type

constexpr entity_type_t restinio::easy_parser::impl::consumer_tag::entity_type = entity_type_t::consumer
| static constexpr

Definition at line 1344 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp